Changeset 13901


Ignore:
Timestamp:
04/01/12 19:15:35 (10 years ago)
Author:
Mark Evenson
Message:

Part of Fix #204: require the use of maven-3.0.4.

Slyrus reports that some parts don't work with maven-3.0.3, so as a
favor to user bump requirement.

Underneath: Aether is a mess, but looks like it is getting better.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/abcl/contrib/abcl-asdf/maven-embedder.lisp

    r13865 r13901  
    2222
    2323|#
     24
     25;;; N.b. evaluated *after* we load the ABCL specific modifications of ASDF in abcl-asdf.lisp
    2426
    2527(in-package :abcl-asdf)
     
    135137     (and (>= major 3)
    136138          (>= major 0)
    137           (>= patch 3)))))
     139          (>= patch 4)))))
    138140
    139141(defparameter *init* nil)
     
    144146    (setf *mvn-libs-directory* (find-mvn-libs)))
    145147  (unless (probe-file *mvn-libs-directory*)
    146     (error "You must download maven-3.0.3 or later from http://maven.apache.org/download.html, then set ABCL-ASDF:*MVN-DIRECTORY* appropiately."))
     148    (error "You must download maven-3.0.4 or later from http://maven.apache.org/download.html, then set ABCL-ASDF:*MVN-DIRECTORY* appropiately."))
    147149  (unless (ensure-mvn-version)
    148     (error "We need maven-3.0.3 or later."))
     150    (error "We need maven-3.0.4 or later."))
    149151  (add-directory-jars-to-class-path *mvn-libs-directory* nil)
    150152  (setf *init* t))
    151153
    152154(defparameter *http-wagon-implementations*
     155  ;;; maven-3.0.3 reported as not working with all needed functionality
    153156  `("org.apache.maven.wagon.providers.http.HttpWagon" ;; introduced as default with maven-3.0.4
    154157    "org.apache.maven.wagon.providers.http.LightweightHttpWagon")
Note: See TracChangeset for help on using the changeset viewer.